Bug 1458663 - HPA V1 unable to get metrics for resource cpu
Summary: HPA V1 unable to get metrics for resource cpu
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 3.6.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.7.0
Assignee: Solly Ross
QA Contact: Zhang Cheng
URL:
Whiteboard:
: 1463138 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-05 07:04 UTC by Zhang Cheng
Modified: 2017-11-28 21:56 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2017-11-28 21:56:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Comment 1 Solly Ross 2017-06-14 19:36:58 UTC
We appear to have lost our custom setup of the HPA controller somewhere along the rebases.  By default, the HPA controller looks for Heapster in kube-system, and over HTTP.  We run Heapster in openshift-infra over HTTPS, so we need to construct a custom version of the HPA controller.  We've also lost the ability to scale DCs via the HPA.

I'll work on a fix, and put the PR here.

Comment 2 Solly Ross 2017-06-22 21:03:08 UTC
There's a PR up and waiting to be approved https://github.com/openshift/origin/pull/14678.

Comment 3 Seth Jennings 2017-06-23 03:23:11 UTC
*** Bug 1463138 has been marked as a duplicate of this bug. ***

Comment 4 Seth Jennings 2017-06-23 03:32:12 UTC
PR is in flight. Needs review/approval upstream. Should make next release.

Comment 10 errata-xmlrpc 2017-11-28 21:56:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.